#ifndef GesamtTeamStatistik_H
#define GesamtTeamStatistik_H

#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

class GesamtTeamStatistik
{
private:
	int teamNummer;
	Text *teamName;
	int teamFarbe;
	int gewonneneRunden;
	int punkte;
	int linienLength;
	int kills;
	int tode;
	int ref;

public:
	// Konstruktor
	GesamtTeamStatistik();
	// Destruktor
	~GesamtTeamStatistik();
	// nicht constant
	void initValues( InitDatei *dat );
	// constant
	int getTeamNummer() const;
	Text *getTeamName() const;
	Text *zTeamName() const;
	int getTeamFarbe() const;
	int getGewonneneRunden() const;
	int getPunkte() const;
	int getLinienLength() const;
	int getKills() const;
	int getTode() const;
	// Reference Counting
	GesamtTeamStatistik *getThis();
	GesamtTeamStatistik *release();
};

#endif